# Uses of Enum Class
jspecview.common.ScriptToken

Packages that use ScriptToken
Package
Description
jspecview.api
jspecview.app
jspecview.application
jspecview.common
jspecview.java
jspecview.js2d

## Uses of ScriptToken in jspecview.api

Methods in jspecview.api with parameters of type ScriptToken
Modifier and Type
Method
Description
`void`
ScriptInterface.`siExecSetCallback(ScriptToken st, String value)`
`void`
ScriptInterface.`siUpdateBoolean(ScriptToken st, boolean TF)`

## Uses of ScriptToken in jspecview.app

Methods in jspecview.app with parameters of type ScriptToken
Modifier and Type
Method
Description
`void`
JSVApp.`siExecSetCallback(ScriptToken st, String value)`
`void`
JSVApp.`siUpdateBoolean(ScriptToken st, boolean TF)`

## Uses of ScriptToken in jspecview.application

Methods in jspecview.application with parameters of type ScriptToken
Modifier and Type
Method
Description
`protected void`
ApplicationMenu.`setBoolean(ScriptToken st, ItemEvent e)`
`void`
JSpecView.`siExecSetCallback(ScriptToken st, String value)`
`void`
JSpecView.`siUpdateBoolean(ScriptToken st, boolean TF)`

## Uses of ScriptToken in jspecview.common

Subclasses with type arguments of type ScriptToken in jspecview.common
Modifier and Type
Class
Description
`enum`
`ScriptToken`
ScriptToken takes care of script command processing
Fields in jspecview.common with type parameters of type ScriptToken
Modifier and Type
Field
Description
`Map<ScriptToken, GenericColor>`
ColorParameters.`elementColors`
`protected Map<ScriptToken, Boolean>`
Parameters.`htBooleans`
`Hashtable<ScriptToken, Object>`
PanelData.`options`
`Hashtable<ScriptToken, Object>`
PanelData.`optionsSaved`
Methods in jspecview.common that return ScriptToken
Modifier and Type
Method
Description
`static ScriptToken`
ScriptToken.`getScriptToken(String name)`
`static ScriptToken`
ScriptToken.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScriptToken[]`
ScriptToken.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jspecview.common that return types with arguments of type ScriptToken
Modifier and Type
Method
Description
`Map<ScriptToken, Boolean>`
Parameters.`getBooleans()`
`static Lst<ScriptToken>`
ScriptToken.`getScriptTokenList(String name, boolean isExact)`
Methods in jspecview.common with parameters of type ScriptToken
Modifier and Type
Method
Description
`boolean`
PanelData.`getBoolean(ScriptToken st)`
`boolean`
Parameters.`getBoolean(ScriptToken t)`
`GenericColor`
PanelData.`getColor(ScriptToken whatColor)`
`GenericColor`
ColorParameters.`getElementColor(ScriptToken st)`
Gets the color of an element in the scheme
`String`
ColorParameters.`getFontName(ScriptToken st, String value)`
`static String`
ScriptToken.`getValue(ScriptToken st, ScriptTokenizer params, String cmd)`
tweak command options depending upon special cases
`void`
ColorParameters.`set(PanelData pd, ScriptToken st, String value)`
`void`
PanelData.`setBoolean(ScriptToken st, boolean isTrue)`
`boolean`
Parameters.`setBoolean(ScriptToken st, boolean val)`
`GenericColor`
ColorParameters.`setColor(ScriptToken st, GenericColor color)`
Sets the color of an element
`void`
PanelData.`setColor(ScriptToken st, GenericColor color)`
`protected GenericColor`
ColorParameters.`setColorFromString(ScriptToken st, String value)`
`void`
PanelData.`setColorOrFont(ColorParameters params, ScriptToken st)`
`void`
Parameters.`setP(PanelData pd, ScriptToken st, String value)`
Method parameters in jspecview.common with type arguments of type ScriptToken
Modifier and Type
Method
Description
`static String`
ScriptToken.`getNameList(Lst<ScriptToken> list)`

## Uses of ScriptToken in jspecview.java

Methods in jspecview.java with parameters of type ScriptToken
Modifier and Type
Method
Description
`void`
AwtPanel.`setColorOrFont(ColorParameters ds, ScriptToken st)`

## Uses of ScriptToken in jspecview.js2d

Methods in jspecview.js2d with parameters of type ScriptToken
Modifier and Type
Method
Description
`void`
JsPanel.`setColorOrFont(ColorParameters ds, ScriptToken st)`